> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contract Addresses for an Asset

> This endpoint retrieves all contract addresses for a specific asset across different blockchain networks.

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/{symbol}/addresses
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/{symbol}/addresses:
    get:
      tags:
        - Assets
      summary: Get Contract Addresses for an Asset
      description: >
        This endpoint retrieves all contract addresses for a specific asset
        across different blockchain networks.


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getAssetAddresses
      parameters:
        - name: symbol
          in: path
          description: The GM token symbol
          example: AAPLon
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetAddress'
              example:
                symbol: AAPLon
                addresses:
                  - networkChainId: bsc-56
                    address: '0x390a684ef9cade28a7ad0dfa61ab1eb3842618c4'
                    decimals: 18
                  - networkChainId: ethereum-1
                    address: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
                    decimals: 18
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: INVALID_SYMBOL
                    message: >-
                      invalid symbol; must be at least 3 characters long and end
                      with 'on'
                    documentation: https://docs.ondo.finance/api-reference/error-codes
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '404':
          description: >-
            The provided asset symbol does not exist and cannot be found. Please
            see the returned message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      The provided asset symbol does not exist and cannot be
                      found.
                    code: ASSET_NOT_FOUND
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    AssetAddress:
      type: object
      properties:
        networkChainId:
          $ref: '#/components/schemas/GMChains'
        address:
          type: string
          description: The contract address on the specified chain.
          example: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
        decimals:
          type: integer
          format: int64
          description: The number of decimals places for the asset.
          example: 18
      required:
        - networkChainId
        - address
        - decimals
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    GMChains:
      type: string
      description: The chain's identifier including the chain name and chain id.
      enum:
        - ethereum-1
        - bsc-56
        - solana-900
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````